<!doctype html>
<title>Python Flask File Upload Example</title>
<h2>Select a file to upload</h2>
<p>

	{% with messages = get_flashed_messages() %}
	  {% if messages %}
		<ul class=flashes>
		{% for message in messages %}
		  <li>{{ message }}</li>
		{% endfor %}
		</ul>
	  {% endif %}
	{% endwith %}
</p>
<form method="post" action="/" enctype="multipart/form-data">
    <dl>
		<p>
			<input type="file" name="file" autocomplete="off" required>
		</p>
    </dl>
    <p>
		<input type="submit" value="Submit">
	</p>

	
	<hr class="divider" />
	<div class="card results">
	  <div class="card-header font-weight-bold">
		Results
	  </div>
	  <div class="card-body p-0">
		<ul class="list-group" id="list-group">
		</ul>
	  </div>


	  <script type="text/javascript">
		let prediction = '{{ prediction }}';
		console.log(prediction)
		prediction = prediction.replace(/&#39;/g, "'").replace(/\(/g, "").replace(/\)/g, "").replace(/'/g, '"');
		console.log(JSON.parse(prediction));
		prediction = JSON.parse(prediction);
		var list_group = document.getElementById('list-group');
		for (let i = 0; i < prediction.length - 1; i+=2) {
		  var item = document.createElement('li');
		  item.className = 'list-group-item';
		  var title = document.createElement('span');
		  title.className = 'font-weight-bold col';
		  title.innerText = prediction[i];
		  var value = document.createElement('span');
		  value.innerText = prediction[i+1];
		  item.appendChild(title);
		  item.appendChild(value);
		  list_group.appendChild(item);
		}
		
	  </script>
	</div>
</form>